TICKIT_RENDERBUFFER_CLIP(3)

NAME
tickit_renderbuffer_clip, tickit_renderbuffer_mask - restrict the drawing area of output functions

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_clip(TickitRenderBuffer *rb, TickitRect *rect);
    void tickit_renderbuffer_mask(TickitRenderBuffer *rb, TickitRect *mask);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_clip() restricts the clipping rectangle to the limits given, within the existing limits already set. This function cannot make the clipping region larger than it already was.

tickit_renderbuffer_mask() applies a rectangular mask within the clipping region, masking off extra cells that can no longer be modified by the output functions. Unlike tickit_renderbuffer_clip() these regions can be arbitrarily positioned and discontinuous; each new call adds another masking region, rather than affecting the existing ones.

To undo the effects of any of these functions, they should be used within nested pairs of calls to tickit_renderbuffer_save(3) and tickit_renderbuffer_restore(3). Both functions only affect the subsequent drawing operations; they do not affect existing stored content, nor the behaviour of tickit_renderbuffer_flush_to_term(3).

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_translate(3), tickit_renderbuffer(7), tickit(7)